Categories:
  - Security
  - Internet
License: Apache-2.0
WebSite: https://geti2p.net
SourceCode: https://github.com/i2p
IssueTracker: https://trac.i2p2.de
Translation: https://www.transifex.com/otf/I2P/

AutoName: I2P
Description: |-
    I2P is an anonymizing network, offering a simple layer that identity-sensitive
    applications can use to securely communicate. All data is wrapped with several
    layers of encryption, and the network is both distributed and dynamic, with no
    trusted parties.

RepoType: git
Repo: https://github.com/i2p/i2p.android.base.git

Builds:
  - versionName: 0.9.8.1
    versionCode: 4734976
    commit: 788445f6ceb0d0c165e98b9b7d1aa732c98d37ac
    patch:
      - build.sh.patch
    srclibs:
      - I2P@d7c3ffa4def637f1c18dbd316f9e06093b113e09
    prebuild:
      - sed -i '41s|#export NDK=$(realpath ../../android-ndk-r5b/)|export NDK=$$NDK$$|'
        ./routerjars/jni/build.sh
      - cp -R $$I2P$$* ./i2p.i2p
      - echo -e "\nsdk.dir=$$SDK$$" >> ./local.properties
      - echo -e "\nsdk.dir=$$SDK$$" >> ./routerjars/local.properties
      - echo -e "\nndk.dir=$$NDK$$" >> ./routerjars/local.properties
      - echo -e "\ni2psrc=./i2p.i2p" >> ./local.properties
      - rm -R ./i2p.i2p/installer/lib/jbigi/*
      - rm -R ./i2p.i2p/installer/lib/wrapper/*
      - rm -R ./i2p.i2p/installer/lib/launch4j/bin*
      - rm -R ./i2p.i2p/installer/lib/launch4j/w32api*
      - rm -R ./routerjars/jni/libjbigi.so
      - cp -R $$SDK$$/extras/android/support/v7/appcompat/ appcompat/
      - echo -e "\nandroid.library.reference.2=./appcompat/" >> ./local.properties
      - $$SDK$$/tools/android update lib-project --path ./appcompat/
      - echo -e "\ni2psrc=./../i2p.i2p" >> ./routerjars/local.properties
      - wget ftp://ftp.gmplib.org/pub/gmp-4.3.2/gmp-4.3.2.tar.bz2
      - tar xjvf gmp-4.* -C ./i2p.i2p/core/c/jbigi/
      - rm ./gmp-4.*
    androidupdate:
      - no
    novcheck: true

  - versionName: 0.9.9-0_b1-API8
    versionCode: 4737024
    commit: 97037fe1d88342807ea3179c552a7c49c6ce426c
    srclibs:
      - I2P@f8a54bde19d7a6b87c5c192dd9a45950e739242a
    prebuild:
      - sed -i '41s|#export NDK=$(realpath ../../android-ndk-r5b/)|export NDK=$$NDK$$|'
        ./routerjars/jni/build.sh
      - sed -i '46,47d' ./routerjars/jni/build.sh
      - cp -R $$I2P$$* ./i2p.i2p
      - echo -e "\nsdk.dir=$$SDK$$" >> ./local.properties
      - echo -e "\nsdk.dir=$$SDK$$" >> ./routerjars/local.properties
      - echo -e "\nndk.dir=$$NDK$$" >> ./routerjars/local.properties
      - echo -e "\ni2psrc=./i2p.i2p" >> ./local.properties
      - rm -R ./i2p.i2p/installer/lib/jbigi/*
      - rm -R ./i2p.i2p/installer/lib/wrapper/*
      - rm -R ./i2p.i2p/installer/lib/launch4j/bin*
      - rm -R ./i2p.i2p/installer/lib/launch4j/w32api*
      - rm -R ./routerjars/jni/libjbigi.so
      - cp -R $$SDK$$/extras/android/support/v7/appcompat/ appcompat/
      - echo -e "\nandroid.library.reference.2=./appcompat/" >> ./local.properties
      - $$SDK$$/tools/android update lib-project --path ./appcompat/
      - echo -e "\ni2psrc=./../i2p.i2p" >> ./routerjars/local.properties
      - wget ftp://ftp.gmplib.org/pub/gmp-4.3.2/gmp-4.3.2.tar.bz2
      - tar xjvf gmp-4.* -C ./i2p.i2p/core/c/jbigi/
      - rm ./gmp-4.*
    androidupdate:
      - no

  - versionName: 0.9.12-0_b1-API8
    versionCode: 4743168
    commit: 30d1816c431e98182f2438e4f0c17e8c0089f71b
    srclibs:
      - I2P@90cd68900e75dfb8ae1fd7c3255393aea09d5ceb
      - appcompat@android-4.4.2_r2
    extlibs:
      - android/android-support-v4.jar
    prebuild:
      - sed -i 's@export NDK=.*@export NDK=$$NDK$$@' ./routerjars/jni/build.sh
      - cp -R $$I2P$$ ./i2p.i2p
      - mv libs/android-support-v4.jar $$Support$$/libs/
      - echo -e "sdk.dir=$$SDK$$\ni2psrc=./i2p.i2p" >> ./local.properties
      - echo -e "sdk.dir=$$SDK$$\nndk.dir=$$NDK$$\ni2psrc=./../i2p.i2p" >> ./routerjars/local.properties
      - wget ftp://ftp.gmplib.org/pub/gmp-4.3.2/gmp-4.3.2.tar.bz2
      - tar xjvf gmp-4.* -C ./i2p.i2p/core/c/jbigi/
      - rm ./gmp-4.*
    androidupdate:
      - ../srclib/Support/v7/appcompat
    scandelete:
      - i2p.i2p
      - routerjars/jni

  - versionName: 0.9.12-0_b2-API8
    versionCode: 4743169
    commit: 8d4f1b174dcedc9db5772d4f874471e9202e896c
    srclibs:
      - I2P@90cd68900e75dfb8ae1fd7c3255393aea09d5ceb
      - appcompat@android-4.4.2_r2
    extlibs:
      - android/android-support-v4.jar
    prebuild:
      - cp -R $$I2P$$ ./i2p.i2p
      - mv libs/android-support-v4.jar $$Support$$/libs/
      - echo -e "sdk.dir=$$SDK$$\ni2psrc=./i2p.i2p" >> ./local.properties
      - echo -e "sdk.dir=$$SDK$$\nndk.dir=$$NDK$$\ni2psrc=./../i2p.i2p" >> ./routerjars/local.properties
      - wget ftp://ftp.gmplib.org/pub/gmp-4.3.2/gmp-4.3.2.tar.bz2
      - tar xjvf gmp-4.* -C ./i2p.i2p/core/c/jbigi/
      - rm ./gmp-4.*
      - ant incrementBuild
    androidupdate:
      - ../srclib/Support/v7/appcompat
    scandelete:
      - i2p.i2p
      - routerjars/jni

  - versionName: 0.9.13-0_b1-API8
    versionCode: 4745216
    commit: 55509adda6d53afcc9cd8e62964a77685a98da1e
    srclibs:
      - I2P@d106f483a18ba348126bcbed48b5a5cec00d9fa8
      - appcompat@android-4.4.2_r2
    extlibs:
      - android/android-support-v4.jar
    prebuild:
      - cp -R $$I2P$$ ./i2p.i2p
      - mv libs/android-support-v4.jar $$Support$$/libs/
      - echo -e "sdk.dir=$$SDK$$\ni2psrc=./i2p.i2p" >> ./local.properties
      - echo -e "sdk.dir=$$SDK$$\nndk.dir=$$NDK$$\ni2psrc=./../i2p.i2p" >> ./routerjars/local.properties
      - wget https://gmplib.org/download/gmp/gmp-4.3.2.tar.xz
      - tar xJvf gmp-4.* -C ./i2p.i2p/core/c/jbigi/
      - rm ./gmp-4.*
    androidupdate:
      - ../srclib/Support/v7/appcompat
    scandelete:
      - i2p.i2p
      - routerjars/jni

  - versionName: 0.9.18
    versionCode: 4745226
    commit: 17ab043a4bdd18b9bbe45aabd38b699b44e620e1
    subdir: app/
    gradle:
      - legacy
    srclibs:
      - I2P@ce041dfbc1cfa406b7fbb418695086940700469d
      - appcompat@android-4.4.2_r2
      - GradleWitness@10f1269c0aafdc1d478efc005ed48f3a47d44278
    extlibs:
      - android/android-support-v4.jar
    prebuild:
      - cp -R $$I2P$$ ../i2p.i2p
      - cp -R $$GradleWitness$$ ../witness
      - cd ../witness
      - gradle build
      - cd ../app
      - echo -e "sdk.dir=$$SDK$$\ni2psrc=../i2p.i2p" >> ./local.properties
      - echo -e "sdk.dir=$$SDK$$\nndk.dir=$$NDK$$\ni2psrc=../i2p.i2p" >> ../routerjars/local.properties
      - wget https://gmplib.org/download/gmp/gmp-4.3.2.tar.xz
      - tar xJvf gmp-4.* -C ../i2p.i2p/core/c/jbigi/
      - rm ./gmp-4.*
      - sed -i 's|gradle/libs/gradle-witness.jar|witness/build/libs/witness.jar|'
        ../build.gradle
      - sed -i '50,61d' ../client/build.gradle
      - sed -i 's|ANDROID_BUILD_TOOLS_VERSION=21.1.2|ANDROID_BUILD_TOOLS_VERSION=22.0.0|'
        ../gradle.properties
    scandelete:
      - i2p.i2p
      - routerjars/jni
      - client/src/main/jniLibs/armeabi
      - witness/build/classes

  - versionName: 0.9.19
    versionCode: 4745227
    commit: 234bc6e5a0edcd94c19c62ef5dce8fdbe69c43f1
    subdir: app/
    gradle:
      - legacy
    srclibs:
      - I2P@dd99978b196181106926c73fbfcbf717b19c7000
      - appcompat@android-4.4.2_r2
      - GradleWitness@10f1269c0aafdc1d478efc005ed48f3a47d44278
    extlibs:
      - android/android-support-v4.jar
    prebuild:
      - cp -R $$I2P$$ ../i2p.i2p
      - cp -R $$GradleWitness$$ ../witness
      - cd ../witness
      - gradle build
      - cd ../app
      - echo -e "sdk.dir=$$SDK$$\ni2psrc=../i2p.i2p" >> ./local.properties
      - echo -e "sdk.dir=$$SDK$$\nndk.dir=$$NDK$$\ni2psrc=../i2p.i2p" >> ../routerjars/local.properties
      - wget https://gmplib.org/download/gmp/gmp-4.3.2.tar.xz
      - tar xJvf gmp-4.* -C ../i2p.i2p/core/c/jbigi/
      - rm ./gmp-4.*
      - sed -i 's|gradle/libs/gradle-witness.jar|witness/build/libs/witness.jar|'
        ../build.gradle
      - sed -i '50,61d' ../client/build.gradle
      - sed -i 's|ANDROID_BUILD_TOOLS_VERSION=21.1.2|ANDROID_BUILD_TOOLS_VERSION=22.0.0|'
        ../gradle.properties
    scandelete:
      - i2p.i2p
      - routerjars/jni
      - client/src/main/jniLibs/armeabi
      - witness/build/classes

  - versionName: 0.9.19.1
    versionCode: 4745229
    commit: 8f302e6eebeec8735a30961553e804b737fb5958
    subdir: app/
    gradle:
      - legacy
    srclibs:
      - I2P@dd99978b196181106926c73fbfcbf717b19c7000
      - appcompat@android-4.4.2_r2
      - GradleWitness@10f1269c0aafdc1d478efc005ed48f3a47d44278
    extlibs:
      - android/android-support-v4.jar
    prebuild:
      - cp -R $$I2P$$ ../i2p.i2p
      - cp -R $$GradleWitness$$ ../witness
      - cd ../witness
      - gradle build
      - cd ../app
      - echo -e "sdk.dir=$$SDK$$\ni2psrc=../i2p.i2p" >> ./local.properties
      - echo -e "sdk.dir=$$SDK$$\nndk.dir=$$NDK$$\ni2psrc=../i2p.i2p" >> ../routerjars/local.properties
      - wget https://gmplib.org/download/gmp/gmp-4.3.2.tar.xz
      - tar xJvf gmp-4.* -C ../i2p.i2p/core/c/jbigi/
      - rm ./gmp-4.*
      - sed -i 's|gradle/libs/gradle-witness.jar|witness/build/libs/witness.jar|'
        ../build.gradle
      - sed -i '50,61d' ../client/build.gradle
    scandelete:
      - i2p.i2p
      - routerjars/jni
      - client/src/main/jniLibs/armeabi
      - witness/build/classes

  - versionName: 0.9.22
    versionCode: 4745231
    commit: ab6f4799c93407b1ad34a33a4b0976107c592aa
    subdir: app
    gradle:
      - legacy
    srclibs:
      - I2P@fd606064d910fac026d6a72ebdda6c68e573d53a
      - GradleWitness@10f1269c0aafdc1d478efc005ed48f3a47d44278
      - PreferenceFragment@717a45433b927d2f0dfc5328f79e77c9682c37bc
    prebuild:
      - sed -i -e '87d' -e '83d' ./build.gradle
      - sed -i -e '16,18d' -e '$d' ../build.gradle
      - sed -i '$d' ../build.gradle
      - echo $'flatDir {dirs \'$$PreferenceFragment$$/maven-repository/com/android/support/support-v4-preferencefragment/1.0.0\'}}}'
        >> ../build.gradle
      - echo -e "sdk.dir=$$SDK$$\ni2psrc=$$I2P$$" >> ./local.properties
      - echo -e "sdk.dir=$$SDK$$\nndk.dir=$$NDK$$\ni2psrc=$$I2P$$" >> ../routerjars/local.properties
      - curl https://gmplib.org/download/gmp/gmp-5.0.2.tar.xz | tar xJv -C $$I2P$$/core/c/jbigi/
    scandelete:
      - client/src/main/jniLibs/
    build:
      - pushd $$PreferenceFragment$$
      - ./gradlew uploadArchives
      - popd
      - pushd $$GradleWitness$$
      - gradle build
      - popd
      - cp $$GradleWitness$$/build/libs/GradleWitness.jar ../gradle/libs/gradle-witness.jar

  - versionName: 0.9.25
    versionCode: 4745232
    commit: 02030454d10144a390928c88798ac453a23315b0
    subdir: app
    gradle:
      - legacy
    srclibs:
      - I2P@49ff78cf0e535dd81bf2046cf930ac1e13b0813d
    prebuild:
      - echo -e "i2psrc=../$$I2P$$" >> ../lib/client/local.properties
      - echo -e "sdk.dir=$$SDK$$\nndk.dir=$$NDK$$\ni2psrc=$$I2P$$" >> ../routerjars/local.properties
      - sed -i '31i checkReleaseBuilds false\n' build.gradle
      - curl https://gmplib.org/download/gmp/gmp-5.0.2.tar.xz | tar xJv -C $$I2P$$/core/c/jbigi/
    scandelete:
      - lib/client/src/main/jniLibs

  - versionName: 0.9.26
    versionCode: 4745233
    commit: bd0455c413c611a76f0a47e0a3a0617cc4bffbad
    subdir: app
    gradle:
      - legacy
    srclibs:
      - I2P@249e6f0eea2b72b6973a8e9ba7548019dd536eba
    prebuild:
      - echo -e "i2psrc=../$$I2P$$" >> ../lib/client/local.properties
      - echo -e "sdk.dir=$$SDK$$\nndk.dir=$$NDK$$\ni2psrc=$$I2P$$" >> ../routerjars/local.properties
      - sed -i '31i checkReleaseBuilds false\n' build.gradle
      - curl https://gmplib.org/download/gmp/gmp-5.0.2.tar.xz | tar xJv -C $$I2P$$/core/c/jbigi/
    scandelete:
      - lib/client/src/main/jniLibs

  - versionName: 0.9.27
    versionCode: 4745234
    commit: dd579d4f5bf806fc6be301a162ac49f5f0ed033c
    subdir: app
    gradle:
      - legacy
    srclibs:
      - I2P@19370a36a25a9d5f849534be32542dffcbe0ecf3
    prebuild:
      - echo -e "i2psrc=../$$I2P$$" >> ../lib/client/local.properties
      - echo -e "sdk.dir=$$SDK$$\nndk.dir=$$NDK$$\ni2psrc=$$I2P$$" >> ../routerjars/local.properties
      - sed -i '31i checkReleaseBuilds false\n' build.gradle
      - curl https://gmplib.org/download/gmp/gmp-5.0.2.tar.xz | tar xJv -C $$I2P$$/core/c/jbigi/
    scandelete:
      - lib/client/src/main/jniLibs

  - versionName: 0.9.28
    versionCode: 4745235
    commit: 19036a71cb18175dce83d19801a0b537b633fc18
    subdir: app
    gradle:
      - legacy
    srclibs:
      - I2P@26a9e8bd8970f4b306feaf1289e1aa1db0d67ef8
    prebuild:
      - echo -e "i2psrc=../$$I2P$$" >> ../lib/client/local.properties
      - echo -e "sdk.dir=$$SDK$$\nndk.dir=$$NDK$$\ni2psrc=$$I2P$$" >> ../routerjars/local.properties
      - sed -i '31i checkReleaseBuilds false\n' build.gradle
      - curl https://gmplib.org/download/gmp/gmp-5.0.2.tar.xz | tar xJv -C $$I2P$$/core/c/jbigi/
    scandelete:
      - lib/client/src/main/jniLibs

  - versionName: 0.9.29
    versionCode: 4745236
    commit: 917742847a6db3257146786ddf944383c5531db6
    subdir: app
    gradle:
      - legacy
    srclibs:
      - I2P@b695293070597b300ccbf642541972654c5564c5
    prebuild:
      - echo -e "i2psrc=../$$I2P$$" >> ../lib/client/local.properties
      - echo -e "sdk.dir=$$SDK$$\nndk.dir=$$NDK$$\ni2psrc=$$I2P$$" >> ../routerjars/local.properties
      - sed -i '31i checkReleaseBuilds false\n' build.gradle
      - curl https://gmplib.org/download/gmp/gmp-5.0.2.tar.xz | tar xJv -C $$I2P$$/core/c/jbigi/
    scandelete:
      - lib/client/src/main/jniLibs

  - versionName: 0.9.30
    versionCode: 4745237
    commit: c99e3c0b41b69a47e090041e33268c388beb1174
    subdir: app
    gradle:
      - legacy
    srclibs:
      - I2P@920b14212fa80a3a0e92d6e919fdae7e39ed22d5
    prebuild:
      - echo -e "i2psrc=../$$I2P$$" >> ../lib/client/local.properties
      - echo -e "sdk.dir=$$SDK$$\nndk.dir=$$NDK$$\ni2psrc=$$I2P$$" >> ../routerjars/local.properties
      - sed -i '33i checkReleaseBuilds false\n' build.gradle
      - curl https://gmplib.org/download/gmp/gmp-6.0.0.tar.xz | tar xJv -C $$I2P$$/core/c/jbigi/
    scandelete:
      - lib/client/src/main/jniLibs

  - versionName: 0.9.31
    versionCode: 4745238
    commit: da763a7c81e613a1ae94efd4eba55ba0087de18e
    subdir: app
    gradle:
      - legacy
    srclibs:
      - I2P@2c76b87fba6d759421d0c99986f79c92237c0803
    prebuild:
      - echo -e "i2psrc=../$$I2P$$" >> ../lib/client/local.properties
      - echo -e "sdk.dir=$$SDK$$\nndk.dir=$$NDK$$\ni2psrc=$$I2P$$" >> ../routerjars/local.properties
      - sed -i '33i checkReleaseBuilds false\n' build.gradle
      - curl https://gmplib.org/download/gmp/gmp-6.0.0.tar.xz | tar xJv -C $$I2P$$/core/c/jbigi/
    scandelete:
      - lib/client/src/main/jniLibs

  - versionName: 0.9.32
    versionCode: 4745239
    commit: 80b7455602e5ce4d8998fe456c364b40e1768762
    subdir: app
    gradle:
      - legacy
    srclibs:
      - I2P@e281620063817209ea8d5ee792cdfebcd89f7a7a
    prebuild:
      - echo -e "i2psrc=../$$I2P$$" >> ../lib/client/local.properties
      - echo -e "sdk.dir=$$SDK$$\nndk.dir=$$NDK$$\ni2psrc=$$I2P$$" >> ../routerjars/local.properties
      - sed -i '30i checkReleaseBuilds false\n' build.gradle
      - curl https://gmplib.org/download/gmp/gmp-6.0.0.tar.xz | tar xJv -C $$I2P$$/core/c/jbigi/
    scandelete:
      - lib/client/src/main/jniLibs

  - versionName: 0.9.33
    versionCode: 4745240
    commit: 1db9128afc313364ed905cee80c148568d4063db
    subdir: app
    gradle:
      - legacy
    srclibs:
      - I2P@23aaefa98613ad81f6628c039a02c99f8464b586
    prebuild:
      - echo -e "i2psrc=../$$I2P$$" >> ../lib/client/local.properties
      - echo -e "sdk.dir=$$SDK$$\nndk.dir=$$NDK$$\ni2psrc=$$I2P$$" >> ../routerjars/local.properties
      - sed -i '30i checkReleaseBuilds false\n' build.gradle
      - curl https://gmplib.org/download/gmp/gmp-6.0.0.tar.xz | tar xJv -C $$I2P$$/core/c/jbigi/
    scandelete:
      - lib/client/src/main/jniLibs

  - versionName: 0.9.34
    versionCode: 4745241
    commit: 9654fa24cccbc0ff104b28c0a70e88194bfc446d
    subdir: app
    gradle:
      - legacy
    srclibs:
      - I2P@c0308526a9a55d2ca2a4e0055775e1d44212e905
    prebuild:
      - echo -e "i2psrc=../$$I2P$$" >> ../lib/client/local.properties
      - echo -e "sdk.dir=$$SDK$$\nndk.dir=$$NDK$$\ni2psrc=$$I2P$$" >> ../routerjars/local.properties
      - sed -i '30i checkReleaseBuilds false\n' build.gradle
      - curl https://gmplib.org/download/gmp/gmp-6.0.0.tar.xz | tar xJv -C $$I2P$$/core/c/jbigi/
    scandelete:
      - lib/client/src/main/jniLibs

  - versionName: 0.9.35
    versionCode: 4745242
    commit: 333f09073ab66e60514529adea556a397d478ae6
    subdir: app
    gradle:
      - legacy
    srclibs:
      - I2P@3d21ad0df96beda782ae972d7d5e456ca1dde777
    rm:
      - gradle/wrapper
    prebuild:
      - echo -e "i2psrc=../$$I2P$$" >> ../lib/client/local.properties
      - echo -e "sdk.dir=$$SDK$$\nndk.dir=$$NDK$$\ni2psrc=$$I2P$$" >> ../routerjars/local.properties
      - sed -i '30i checkReleaseBuilds false\n' build.gradle
      - curl https://gmplib.org/download/gmp/gmp-6.0.0.tar.xz | tar xJv -C $$I2P$$/core/c/jbigi/
    scandelete:
      - lib/client/src/main/jniLibs

  - versionName: 0.9.37
    versionCode: 4745245
    commit: 84ecf55ff8e5e86409b47b7de17520de329a0454
    subdir: app
    gradle:
      - legacy
    srclibs:
      - I2P@e326011a936b1b444530d74620e289cdf7266966
    rm:
      - gradle/wrapper
    prebuild:
      - echo -e "i2psrc=../$$I2P$$" >> ../lib/client/local.properties
      - echo -e "sdk.dir=$$SDK$$\nndk.dir=$$NDK$$\ni2psrc=$$I2P$$" >> ../routerjars/local.properties
      - sed -i -e '30i checkReleaseBuilds false\n' -e '/^props\ =/,+18d' build.gradle
      - curl https://gmplib.org/download/gmp/gmp-6.0.0.tar.xz | tar xJv -C $$I2P$$/core/c/jbigi/
    scandelete:
      - lib/client/src/main/jniLibs

  - versionName: 0.9.41
    versionCode: 4745249
    commit: android-0.9.41
    subdir: app
    gradle:
      - legacy
    srclibs:
      - I2P@i2p-0.9.41
    rm:
      - gradle/wrapper
    prebuild:
      - echo -e "i2psrc=../$$I2P$$" >> ../lib/client/local.properties
      - echo -e "sdk.dir=$$SDK$$\nndk.dir=$$NDK$$\ni2psrc=$$I2P$$" >> ../routerjars/local.properties
      - sed -i -e '/^props\ =/,+22d' -e 's!../i2p.i2p!$$I2P$$!g' build.gradle
      - curl https://gmplib.org/download/gmp/gmp-6.1.2.tar.xz | tar xJv -C $$I2P$$/core/c/jbigi/
    scandelete:
      - lib/client/src/main/jniLibs

  - versionName: 0.9.42
    versionCode: 4745250
    commit: android-0.9.42
    subdir: app
    gradle:
      - legacy
    srclibs:
      - I2P@i2p-0.9.42
    rm:
      - gradle/wrapper
    prebuild:
      - echo -e "i2psrc=../$$I2P$$" >> ../lib/client/local.properties
      - echo -e "sdk.dir=$$SDK$$\nndk.dir=$$NDK$$\ni2psrc=$$I2P$$" >> ../routerjars/local.properties
      - sed -i -e '/^props\ =/,+22d' -e 's!../i2p.i2p!$$I2P$$!g' build.gradle
      - curl https://gmplib.org/download/gmp/gmp-6.1.2.tar.xz | tar xJv -C $$I2P$$/core/c/jbigi/
    scandelete:
      - lib/client/src/main/jniLibs

  - versionName: 0.9.43
    versionCode: 4745251
    commit: android-0.9.43
    subdir: app
    gradle:
      - legacy
    srclibs:
      - I2P@i2p-0.9.43
    rm:
      - gradle/wrapper
    prebuild:
      - echo -e "i2psrc=../$$I2P$$" >> ../lib/client/local.properties
      - echo -e "sdk.dir=$$SDK$$\nndk.dir=$$NDK$$\ni2psrc=$$I2P$$" >> ../routerjars/local.properties
      - sed -i -e '/^props\ =/,+22d' -e 's!../i2p.i2p!$$I2P$$!g' build.gradle
      - curl https://gmplib.org/download/gmp/gmp-6.1.2.tar.xz | tar xJv -C $$I2P$$/core/c/jbigi/
    scandelete:
      - lib/client/src/main/jniLibs

  - versionName: 0.9.44
    versionCode: 4745253
    commit: android-0.9.44
    subdir: app
    gradle:
      - legacy
    srclibs:
      - I2P@i2p-0.9.44
    rm:
      - gradle/wrapper
    prebuild:
      - echo -e "i2psrc=../$$I2P$$" >> ../lib/client/local.properties
      - echo -e "sdk.dir=$$SDK$$\nndk.dir=$$NDK$$\ni2psrc=$$I2P$$" >> ../routerjars/local.properties
      - sed -i -e '/^props\ =/,+22d' -e 's!../i2p.i2p!$$I2P$$!g' build.gradle
      - curl https://gmplib.org/download/gmp/gmp-6.1.2.tar.xz | tar xJv -C $$I2P$$/core/c/jbigi/
    scandelete:
      - lib/client/src/main/jniLibs

  - versionName: 0.9.45
    versionCode: 4745255
    commit: 22290da1a4ed9cb972336930a6e1e1e69016340f
    subdir: app
    gradle:
      - legacy
    srclibs:
      - I2P@i2p-0.9.45
    rm:
      - gradle/wrapper
    prebuild:
      - echo -e "i2psrc=../$$I2P$$" >> ../lib/client/local.properties
      - echo -e "sdk.dir=$$SDK$$\nndk.dir=$$NDK$$\ni2psrc=$$I2P$$" >> ../routerjars/local.properties
      - sed -i -e '/^props\ =/,+22d' -e 's!../i2p.i2p!$$I2P$$!g' build.gradle
      - curl https://gmplib.org/download/gmp/gmp-6.1.2.tar.xz | tar xJv -C $$I2P$$/core/c/jbigi/
    scandelete:
      - lib/client/src/main/jniLibs

  - versionName: 0.9.46
    versionCode: 4745256
    disable: fails to start
    commit: 83bb7096a7717b58d5ef096f23c82fd475dc27e6
    subdir: app
    gradle:
      - legacy
    srclibs:
      - I2P@i2p-0.9.46
    rm:
      - gradle/wrapper
    prebuild:
      - echo -e "i2psrc=../$$I2P$$" >> ../lib/client/local.properties
      - echo -e "sdk.dir=$$SDK$$\nndk.dir=$$NDK$$\ni2psrc=$$I2P$$" >> ../routerjars/local.properties
      - sed -i -e '/^props\ =/,+22d' -e 's!../i2p.i2p!$$I2P$$!g' build.gradle
      - curl https://gmplib.org/download/gmp/gmp-6.1.2.tar.xz | tar xJv -C $$I2P$$/core/c/jbigi/
    scandelete:
      - lib/client/src/main/jniLibs

  - versionName: 0.9.47
    versionCode: 4745257
    commit: aec25ab3741018d3aedc6c0ac302ed1d4f222df
    subdir: app
    gradle:
      - legacy
    srclibs:
      - I2P@i2p-0.9.47
    rm:
      - gradle/wrapper
    prebuild:
      - echo -e "i2psrc=../$$I2P$$" >> ../lib/client/local.properties
      - echo -e "sdk.dir=$$SDK$$\nndk.dir=$$NDK$$\ni2psrc=$$I2P$$" >> ../routerjars/local.properties
      - sed -i -e '/^props\ =/,+22d' -e 's!../i2p.i2p!$$I2P$$!g' build.gradle
      - curl https://gmplib.org/download/gmp/gmp-6.1.2.tar.xz | tar xJv -C $$I2P$$/core/c/jbigi/
    scandelete:
      - lib/client/src/main/jniLibs

  - versionName: 0.9.49
    versionCode: 4745260
    commit: android-0.9.49
    subdir: app
    gradle:
      - legacy
    srclibs:
      - I2P@i2p-0.9.49
    rm:
      - gradle/wrapper
    prebuild:
      - echo -e "i2psrc=../$$I2P$$" >> ../lib/client/local.properties
      - echo -e "sdk.dir=$$SDK$$\nndk.dir=$$NDK$$\ni2psrc=$$I2P$$" >> ../routerjars/local.properties
      - sed -i -e '/^props\ =/,+22d' -e 's!../i2p.i2p!$$I2P$$!g' build.gradle
      - curl https://gmplib.org/download/gmp/gmp-6.1.2.tar.xz | tar xJv -C $$I2P$$/core/c/jbigi/
    scandelete:
      - lib/client/src/main/jniLibs

  - versionName: 0.9.50
    versionCode: 4745261
    commit: android-0.9.50
    subdir: app
    gradle:
      - legacy
    srclibs:
      - I2P@i2p-0.9.50
    rm:
      - gradle/wrapper
    prebuild:
      - echo -e "i2psrc=../$$I2P$$" >> ../lib/client/local.properties
      - echo -e "sdk.dir=$$SDK$$\nndk.dir=$$NDK$$\ni2psrc=$$I2P$$" >> ../routerjars/local.properties
      - sed -i -e '/^props\ =/,+22d' -e 's!../i2p.i2p!$$I2P$$!g' build.gradle
      - curl https://gmplib.org/download/gmp/gmp-6.1.2.tar.xz | tar xJv -C $$I2P$$/core/c/jbigi/
    scandelete:
      - lib/client/src/main/jniLibs

  - versionName: 1.7.0
    versionCode: 4745266
    commit: android-1.7.1
    subdir: app
    gradle:
      - legacy
    srclibs:
      - I2P@i2p-1.7.0
    rm:
      - gradle/wrapper
    prebuild:
      - echo -e "i2psrc=../$$I2P$$" >> ../lib/client/local.properties
      - echo -e "sdk.dir=$$SDK$$\nndk.dir=$$NDK$$\ni2psrc=$$I2P$$" >> ../routerjars/local.properties
      - sed -i -e '/^props\ =/,+22d' -e 's!../i2p.i2p!$$I2P$$!g' build.gradle
      - curl https://gmplib.org/download/gmp/gmp-6.2.0.tar.xz | tar xJv -C $$I2P$$/core/c/jbigi/
    scandelete:
      - lib/client/src/main/jniLibs

  - versionName: 1.9.1
    versionCode: 4745270
    commit: 2d1244f3390b4b51a7bccc475495bebb09f2cd1c
    subdir: app
    gradle:
      - legacy
    srclibs:
      - I2P@i2p-jpackage-1.9.1
    rm:
      - gradle/wrapper
    prebuild:
      - echo -e "i2psrc=$$I2P$$" >> ../lib/client/local.properties
      - echo -e "sdk.dir=$$SDK$$\nndk.dir=$$NDK$$\ni2psrc=$$I2P$$" >> ../routerjars/local.properties
      - cp -R $$I2P$$ ../i2p.i2p
    scandelete:
      - lib/client/src/main/jniLibs
      - i2p.i2p
    ndk: r19c

  - versionName: 2.0.1
    versionCode: 4745273
    commit: 3ab2c83b7b3a2335ef752fe6c8930b6e26d02449
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y ant gettext
    gradle:
      - legacy
    srclibs:
      - I2P@i2p-2.0.0
    rm:
      - gradle/wrapper
    prebuild:
      - echo -e "i2psrc=$$I2P$$" >> ../lib/client/local.properties
      - echo -e "sdk.dir=$$SDK$$\nndk.dir=$$NDK$$\ni2psrc=$$I2P$$" >> ../routerjars/local.properties
      - cp -R $$I2P$$ ../i2p.i2p
      - sed -i -e '/abortOnError/acheckReleaseBuilds false' build.gradle
    scandelete:
      - lib/client/src/main/jniLibs
      - i2p.i2p
    ndk: r19c

  - versionName: 2.1.0
    versionCode: 4745274
    commit: ea3fe136e4fb79c6e6ecbc5c6e71a51792bb2355
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y ant gettext
    gradle:
      - legacy
    srclibs:
      - I2P@i2p-2.1.0
    rm:
      - gradle/wrapper
    prebuild:
      - echo -e "i2psrc=$$I2P$$" >> ../lib/client/local.properties
      - echo -e "sdk.dir=$$SDK$$\nndk.dir=$$NDK$$\ni2psrc=$$I2P$$" >> ../routerjars/local.properties
      - cp -R $$I2P$$ ../i2p.i2p
      - sed -i -e '/abortOnError/acheckReleaseBuilds false' build.gradle
    scandelete:
      - lib/client/src/main/jniLibs
      - i2p.i2p
    ndk: r19c

  - versionName: 2.1.1
    versionCode: 4745276
    commit: fcc51c429dddff98d992327aab78de7249b680ac
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y ant gettext
    gradle:
      - legacy
    srclibs:
      - I2P@i2p-maven-2.2.0
    rm:
      - gradle/wrapper
    prebuild:
      - echo -e "i2psrc=$$I2P$$" >> ../lib/client/local.properties
      - echo -e "sdk.dir=$$SDK$$\nndk.dir=$$NDK$$\ni2psrc=$$I2P$$" >> ../routerjars/local.properties
      - cp -R $$I2P$$ ../i2p.i2p
      - sed -i -e '/abortOnError/acheckReleaseBuilds false' build.gradle
    scandelete:
      - lib/client/src/main/jniLibs
      - i2p.i2p
    ndk: r19c
    gradleprops:
      - I2P_VERSION=2.2.0

AutoUpdateMode: None
UpdateCheckMode: Tags
UpdateCheckData: app/build.gradle|versionCode (\d+)|gradle.properties|I2P_ANDROID_VERSION=([\d.]+)
CurrentVersion: 2.2.0
CurrentVersionCode: 4745277
